#pragma once

#include <ostream>
#include <sstream>

namespace Base {

class Writer
{
public:
    std::ostream& Stream()
    {
        return stream;
    }

    const char* ind() const
    {
        return "";
    }

    const char* addFile(const char* name, const void*)
    {
        return name;
    }

    std::ostream& beginCharStream()
    {
        return stream;
    }

    std::ostream& endCharStream()
    {
        return stream;
    }

private:
    std::ostringstream stream;
};

}  // namespace Base
